Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::partial_sum_fn Struct Reference
Inheritance diagram for ranges::views::partial_sum_fn:

## Synopsis of methods
constexpr view_closure< partial_sum_fn > | partial_sum {}

## Public Member Functions
template<typename Fun = plus>
constexpr auto | operator() () const
template<typename Fun >
constexpr auto | operator() (Fun &&fun) const
Public Member Functions inherited from ranges::views::partial_sum_base_fn
template<typename Rng , typename Fun = plus>
constexpr partial_sum_view< all_t< Rng >, Fun > | operator() (Rng &&rng, Fun fun={}) const

## Member Function Documentation

## ◆ operator()()

template<typename Fun >

constexpr auto ranges::views::partial_sum_fn::operator() | ( | Fun && | fun | ) | const
| constexpr

Precondition
  requires `(!range<Fun>)`